import { GitHubPRDSL, Violation } from "../node_modules/danger/distribution/danger";
import { DangerResults } from "../node_modules/danger/distribution/dsl/DangerResults";
export interface SlackOptions {
    webhookUrl: string;
    text?: string;
    username?: string;
    iconEmoji?: string;
    iconUrl?: string;
    channel?: string;
}
export interface SlackAttachment {
    color: string;
    fallback: string;
    title: string;
    text: string;
    mrkdwn_in?: string[];
}
export interface SlackMessage {
    text: string;
    username?: string;
    iconEmoji?: string;
    iconUrl?: string;
    channel?: string;
    attachments: SlackAttachment[];
}
/**
 * Report to Slack the result of Danger
 */
export default function slack(options: SlackOptions): void;
export declare function createMessage(pr: GitHubPRDSL, resultLists: DangerResults, options: SlackOptions): SlackMessage;
export declare function getDynamicEmoji(errors: Violation[], warnings: Violation[]): string;
export declare function createAttachment(title: string, color: string, violations: Violation[]): SlackAttachment;
export declare function createMarkdownAttachment(title: string, color: string, comments: string[]): SlackAttachment;
